make po2xpi aware of per-release whitelists (Was: Please update asturian translation)

Bug #309312 reported by costales on 2008-12-18
12
Affects Status Importance Assigned to Milestone
langpack-o-matic
Undecided
Alexander Sack
xulrunner-1.9 (Ubuntu)
Undecided
Alexander Sack

Bug Description

Binary package hint: xulrunner-1.9

Hi!
Xulrunner is translated to Asturian from 23 September 2008.
https://translations.edge.launchpad.net/ubuntu/intrepid/+source/xulrunner-1.9/+pots/xulrunner/ast/+translate

But Xulrunner in Intrepid is in English.
Please, update the asturian language of this package in Intrepid (and Jaunty?).
Thanks very much!!!

Adam Niedling (krychek) wrote :

I guess if the translation is available on launchpad then it will be updated sooner or later. There is no need for opening a bugreport for each and every translation coming out.

costales (costales) wrote :

The asturian community is waiting for 3 months!

If we wait Firefox will change the version! xD ;)

Seriously, I someone can update this package, please do it! THANKS VERY MUCH!

costales (costales) wrote :

Sorry, bad phrase in the previus post:
WRONG: Seriously, I someone can update this package, please do it! THANKS VERY MUCH!
WELL: Seriously, Can someone update this package? Please! THANKS VERY MUCH!

ivarela (ivarela) wrote :

how long can it be?
The truth is that the translation is complete to 100% long before. The date of September is a "minor" modification

On Thu, Dec 18, 2008 at 12:24:22PM -0000, Astur wrote:
> how long can it be?
> The truth is that the translation is complete to 100% long before. The date of September is a "minor" modification
>

I am willing to enable it in jaunty for now. Whats the language code?

 - Alexander

Hi Alexander ;)
Our languagecode-NATIONCODE is ast-ES "ISO 639-2".
Thanks very much!

Some question! Can be possible update in Intrepid too? Thanks!

On Thu, Dec 18, 2008 at 10:57:48PM -0000, Marcos wrote:
> Hi Alexander ;)
> Our languagecode-NATIONCODE is ast-ES "ISO 639-2".
> Thanks very much!
>
> Some question! Can be possible update in Intrepid too? Thanks!
>

We cannot do that unless we know that your language doesnt break stuff
(you might have sytax errors somewhere).

 - Alexander

Alexander Sack (asac) wrote :

On Thu, Dec 18, 2008 at 10:57:48PM -0000, Marcos wrote:
> Hi Alexander ;)
> Our languagecode-NATIONCODE is ast-ES "ISO 639-2".
> Thanks very much!
>
> Some question! Can be possible update in Intrepid too? Thanks!
>

Oh ... sorry for the bad news. I have to get langpack-o-matic first
fixed to pass our translation generated for which ubuntu version its
produced (e.g. intrepid/jaunty) ... ping me in the beginning of next
nyear where the dev doing this is available.

 - Alexander

Hi Alexander :)
I don't understand about the "langpack-o-matic".
I undertand :$ that I will send you a message in the beginning of the new year for remember this bug? ;) Yes of course.
THANKS VERY MUCH for you help and time :D
Merry Christmas and Happy New Year! :)
Marcos.

Marcos wrote:
> Hi Alexander :)
> I don't understand about the "langpack-o-matic".
> I undertand :$ that I will send you a message in the beginning of the new year for remember this bug? ;) Yes of course.
> THANKS VERY MUCH for you help and time :D
> Merry Christmas and Happy New Year! :)
> Marcos.
>
>
Thanks ... u2.

Hi Alexander Sack :)
Is the dev doing available for update the package? :)
THANKS very much!

Alexander Sack (asac) wrote :

need to make po2xpi transformer aware of distros. pet-bug :)

Changed in xulrunner-1.9:
assignee: nobody → asac
status: New → Triaged
Changed in langpack-o-matic:
assignee: nobody → asac
status: New → In Progress
costales (costales) wrote :

Hi!
Tested the asturian translations: https://wiki.ubuntu.com/MozillaTeam/Testing_your_translation
Cheers!

Alexander Sack (asac) wrote :

i fixed this in po2xpi; i whitelist ast for jaunty now. next full langpack update is under way. should be avail in a few days.

Changed in langpack-o-matic:
status: In Progress → Fix Committed
Alexander Sack (asac) wrote :

the publishing run has happened. enjoy

Changed in langpack-o-matic:
status: Fix Committed → Fix Released
Alexander Sack (asac) wrote :

verifying that xulrunner translation exist:

apt-get source language-pack-ast-base
Reading package lists... Done
Building dependency tree
Reading state information... Done
Need to get 687kB of source archives.
Get:1 http://ubuntu.intergenia.de jaunty/main language-pack-ast-base 1:9.04+20090302 (dsc) [603B]
Get:2 http://ubuntu.intergenia.de jaunty/main language-pack-ast-base 1:9.04+20090302 (tar) [686kB]
Fetched 687kB in 1s (584kB/s)
gpg: Signature made Wed 04 Mar 2009 08:33:33 AM CET using DSA key ID 07EABA1B
gpg: Can't check signature: public key not found
dpkg-source: extracting language-pack-ast-base in language-pack-ast-base-9.04+20090302
dpkg-source: info: unpacking language-pack-ast-base_9.04+20090302.tar.gz

asac@hector:/tmp/ast/language-pack-ast-base-9.04+20090302$ ls data/
ast extra.tar mozilla.tar.gz

asac@hector:/tmp/ast/language-pack-ast-base-9.04+20090302$ tar tzf data/mozilla.tar.gz | egrep 'firefox.*install.rdf|xulrunner.*install.rdf'
./<email address hidden>/install.rdf
./<email address hidden>/install.rdf

Changed in xulrunner-1.9:
status: Triaged → Fix Released
Alexander Sack (asac) wrote :

fwiw, thats "jaunty"

costales (costales) wrote :

Hi!
Thanks VERY much Alexander!!! :D This is a great present ;)
Cheers!

costales (costales) wrote :

Hi! We have already the Asturian translations in the upstream.
Ubuntu created the packages for the Asturian from 2 years ago (Thanks very much!!!).
Could you use the upstream translations in Ubuntu from now, please?
Thanks very much!

Martin Pitt (pitti) wrote :

We do use the upstream XPIs now.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers